Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Cache_Map_Reverse_Iterator Class Template Reference

Defines a reverse iterator for the Cache_Map_Manager. More...

`#include <Cache_Map_Manager_T.h>`

List of all members.

## Public Types
typedef ACE_Reference_Pair< KEY, VALUE> | value_type
| The actual value mapped to the key in the cache. The are used by the strategy and is transperant to the cache user.
typedef ACE_Pair<VALUE, ATTRIBUTES> | CACHE_VALUE
## Public Methods
| ACE_Cache_Map_Reverse_Iterator (const REVERSE_IMPLEMENTATION &iterator_impl)
| ACE_Cache_Map_Reverse_Iterator (const ACE_Cache_Map_Reverse_Iterator<KEY, VALUE, REVERSE_IMPLEMENTATION, CACHING_STRATEGY, ATTRIBUTES> &rhs)
| Copy constructor.
| ~ACE_Cache_Map_Reverse_Iterator (void)
ACE_Cache_Map_Reverse_Iterator< KEY, VALUE, REVERSE_IMPLEMENTATION, CACHING_STRATEGY, ATTRIBUTES>& | operator= (const ACE_Cache_Map_Reverse_Iterator<KEY, VALUE, REVERSE_IMPLEMENTATION, CACHING_STRATEGY, ATTRIBUTES> &rhs)
| Assignment operator.
int | operator== (const ACE_Cache_Map_Reverse_Iterator<KEY, VALUE, REVERSE_IMPLEMENTATION, CACHING_STRATEGY, ATTRIBUTES> &rhs) const
| Comparision operators.
int | operator!= (const ACE_Cache_Map_Reverse_Iterator<KEY, VALUE, REVERSE_IMPLEMENTATION, CACHING_STRATEGY, ATTRIBUTES> &rhs) const
ACE_Reference_Pair<KEY, VALUE> | operator * (void) const
| Returns a reference to the internal element <this> is pointing to.
ACE_Cache_Map_Reverse_Iterator< KEY, VALUE, REVERSE_IMPLEMENTATION, CACHING_STRATEGY, ATTRIBUTES>& | operator++ (void)
| Prefix advance.
ACE_Cache_Map_Reverse_Iterator< KEY, VALUE, REVERSE_IMPLEMENTATION, CACHING_STRATEGY, ATTRIBUTES> | operator++ (int)
| Postfix advance.
ACE_Cache_Map_Reverse_Iterator< KEY, VALUE, REVERSE_IMPLEMENTATION, CACHING_STRATEGY, ATTRIBUTES>& | operator-- (void)
| Prefix reverse.
ACE_Cache_Map_Reverse_Iterator< KEY, VALUE, REVERSE_IMPLEMENTATION, CACHING_STRATEGY, ATTRIBUTES> | operator-- (int)
| Postfix reverse.
REVERSE_IMPLEMENTATION& | iterator_implementation (void)
| Returns the iterator of the internal map in the custody of the Cache_Map_Manager.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Protected Attributes
REVERSE_IMPLEMENTATION | reverse_iterator_implementation_
| The actual iterator which iterates internally on the map belonging to the Cache_Map_Manager.

## Detailed Description

### template<class KEY, class VALUE, class REVERSE_IMPLEMENTATION, class CACHING_STRATEGY, class ATTRIBUTES> template class ACE_Cache_Map_Reverse_Iterator

Defines a reverse iterator for the Cache_Map_Manager.

Implementation to be provided by the reverse iterator of the map managed by thr Cache_Map_manager.

## Member Typedef Documentation

template<classKEY, classVALUE, classREVERSE_IMPLEMENTATION, classCACHING_STRATEGY, classATTRIBUTES>
typedef ACE_Pair<VALUE, ATTRIBUTES> ACE_Cache_Map_Reverse_Iterator<KEY, VALUE, REVERSE_IMPLEMENTATION, CACHING_STRATEGY, ATTRIBUTES>::CACHE_VALUE

template<classKEY, classVALUE, classREVERSE_IMPLEMENTATION, classCACHING_STRATEGY, classATTRIBUTES>
typedef ACE_Reference_Pair<KEY, VALUE> ACE_Cache_Map_Reverse_Iterator<KEY, VALUE, REVERSE_IMPLEMENTATION, CACHING_STRATEGY, ATTRIBUTES>::value_type

| The actual value mapped to the key in the cache. The are used by the strategy and is transperant to the cache user.

## Constructor & Destructor Documentation

template<ACE_T1>
ACE_INLINE ACE_Cache_Map_Reverse_Iterator< ACE_T2 >::ACE_Cache_Map_Reverse_Iterator<> ( | const REVERSE_IMPLEMENTATION & iterator_impl )

template<ACE_T1>
ACE_INLINE ACE_Cache_Map_Reverse_Iterator< ACE_T2 >::ACE_Cache_Map_Reverse_Iterator<> ( | const ACE_Cache_Map_Reverse_Iterator< ACE_T2,VALUE,REVERSE_IMPLEMENTATION,CACHING_STRATEGY,ATTRIBUTES >& rhs )

| Copy constructor.

template<ACE_T1>
ACE_INLINE ACE_Cache_Map_Reverse_Iterator< ACE_T2 >::~ACE_Cache_Map_Reverse_Iterator<> ( | void )

## Member Function Documentation

template<ACE_T1>
ACE_INLINE void ACE_Cache_Map_Reverse_Iterator< ACE_T2 >::dump ( | void ) const

| Dump the state of an object.

template<ACE_T1>
ACE_INLINE REVERSE_IMPLEMENTATION & ACE_Cache_Map_Reverse_Iterator< ACE_T2 >::iterator_implementation ( | void )

| Returns the iterator of the internal map in the custody of the Cache_Map_Manager.

template<ACE_T1>
ACE_INLINE ACE_Reference_Pair< KEY,VALUE > ACE_Cache_Map_Reverse_Iterator< ACE_T2 >::operator * ( | void ) const

| Returns a reference to the internal element <this> is pointing to.

template<ACE_T1>
ACE_INLINE int ACE_Cache_Map_Reverse_Iterator< ACE_T2 >::operator!= ( | const ACE_Cache_Map_Reverse_Iterator< ACE_T2,VALUE,REVERSE_IMPLEMENTATION,CACHING_STRATEGY,ATTRIBUTES >& rhs ) const

template<ACE_T1>
ACE_INLINE ACE_Cache_Map_Reverse_Iterator< ACE_T2 > ACE_Cache_Map_Reverse_Iterator< ACE_T2 >::operator++ ( | int )

| Postfix advance.

template<ACE_T1>
ACE_INLINE ACE_Cache_Map_Reverse_Iterator< ACE_T2 >& ACE_Cache_Map_Reverse_Iterator< ACE_T2 >::operator++ ( | void )

| Prefix advance.

template<ACE_T1>
ACE_INLINE ACE_Cache_Map_Reverse_Iterator< ACE_T2 > ACE_Cache_Map_Reverse_Iterator< ACE_T2 >::operator-- ( | int )

| Postfix reverse.

template<ACE_T1>
ACE_INLINE ACE_Cache_Map_Reverse_Iterator< ACE_T2 >& ACE_Cache_Map_Reverse_Iterator< ACE_T2 >::operator-- ( | void )

| Prefix reverse.

template<ACE_T1>
ACE_INLINE ACE_Cache_Map_Reverse_Iterator< ACE_T2 >& ACE_Cache_Map_Reverse_Iterator< ACE_T2 >::operator= ( | const ACE_Cache_Map_Reverse_Iterator< ACE_T2,VALUE,REVERSE_IMPLEMENTATION,CACHING_STRATEGY,ATTRIBUTES >& rhs )

| Assignment operator.

template<ACE_T1>
ACE_INLINE int ACE_Cache_Map_Reverse_Iterator< ACE_T2 >::operator== ( | const ACE_Cache_Map_Reverse_Iterator< ACE_T2,VALUE,REVERSE_IMPLEMENTATION,CACHING_STRATEGY,ATTRIBUTES >& rhs ) const

| Comparision operators.

## Member Data Documentation

template<classKEY, classVALUE, classREVERSE_IMPLEMENTATION, classCACHING_STRATEGY, classATTRIBUTES>
ACE_Cache_Map_Reverse_Iterator<KEY, VALUE, REVERSE_IMPLEMENTATION, CACHING_STRATEGY, ATTRIBUTES>::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

template<classKEY, classVALUE, classREVERSE_IMPLEMENTATION, classCACHING_STRATEGY, classATTRIBUTES>
REVERSE_IMPLEMENTATION ACE_Cache_Map_Reverse_Iterator<KEY, VALUE, REVERSE_IMPLEMENTATION, CACHING_STRATEGY, ATTRIBUTES>::reverse_iterator_implementation_`[protected]`

| The actual iterator which iterates internally on the map belonging to the Cache_Map_Manager.

The documentation for this class was generated from the following files:

- Cache_Map_Manager_T.h
- Cache_Map_Manager_T.i